Please Note This forum exists for community support for the Mango product family and the Radix IoT Platform. Although Radix IoT employees participate in this forum from time to time, there is no guarantee of a response to anything posted here, nor can Radix IoT, LLC guarantee the accuracy of any information expressed or conveyed. Specific project questions from customers with active support contracts are asked to send requests to support@radixiot.com.

Radix IoT Website Mango 3 Documentation Website Mango 4 Documentation Website

MangoES v1 Only supports CIFS with SMB v1


  • Hi everyone,

    After a long while, over a year, of having this issue and trying to resolve it on and off, I'm here asking for some help.

    We have a file server that we use as a backup target for our devices, which is shared via smb/cifs. Absolutely all of our devices support SMB versions higher than 1, except for this MangoES. I have run all of the OS updates that are possible and I assume the cifs-utils package is so old that it does not work with SMB version other than 1.0.

    Since I am not very familiar with the OS running on the MangoES (it's some version of ODroid) I have difficulty trying to find a package of cits-utils or whatever is necessary to be able to mount smb shared with SMB higher than version 1.

    Thanks!


  • Hi mihairosu,

    Iirc the MangoES v1 is running either Ubuntu or Debian. Try doing an lsb_release -a


  • Release is
    Distributor ID: Debian
    Description: Debian GNU/Linux 9.7 (stretch)
    Release: 9.7
    Codename: stretch

    Kernel is 3.8.13.30